document.addEventListener('DOMContentLoaded', function() {
    // Mobile menu toggle
    const menuToggle = document.querySelector('.menu-toggle');
    const navLinks = document.querySelector('.nav-links');
    
    menuToggle.addEventListener('click', () => {
        navLinks.classList.toggle('active');
        menuToggle.classList.toggle('active');
    });

    // Repair card interaction
    const repairCards = document.querySelectorAll('.repair-card');
    
    repairCards.forEach(card => {
        card.addEventListener('click', () => {
            const steps = card.querySelector('.steps');
            steps.classList.toggle('hidden');
            
            // Smooth height animation
            if (!steps.classList.contains('hidden')) {
                steps.style.maxHeight = steps.scrollHeight + "px";
            } else {
                steps.style.maxHeight = 0;
            }
        });
    });

    // Search functionality
    const searchInput = document.getElementById('search');
    const searchBtn = document.querySelector('.search-btn');
    
    searchBtn.addEventListener('click', () => {
        const searchTerm = searchInput.value.toLowerCase();
        const cards = document.querySelectorAll('.repair-card');
        
        cards.forEach(card => {
            const title = card.querySelector('h3').textContent.toLowerCase();
            if (title.includes(searchTerm)) {
                card.style.display = 'block';
                card.style.animation = 'fadeIn 0.5s ease-out';
            } else {
                card.style.display = 'none';
            }
        });
    });

    // Smooth scroll for navigation links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function(e) {
            e.preventDefault();
            const target = document.querySelector(this.getAttribute('href'));
            
            if (target) {
                window.scrollTo({
                    top: target.offsetTop - 80,
                    behavior: 'smooth'
                });
            }
        });
    });

    // Add hover effect for tools
    const toolItems = document.querySelectorAll('.tool-item');
    
    toolItems.forEach(tool => {
        tool.addEventListener('mouseenter', () => {
            tool.style.transform = 'translateY(-5px) scale(1.05)';
        });
        
        tool.addEventListener('mouseleave', () => {
            tool.style.transform = 'translateY(0) scale(1)';
        });
    });
});
